## com.baidubce.auth
Interface Signer

All Known Implementing Classes:
  BceV1Signer

    public interface Signer

A strategy for applying cryptographic signatures to a request, proving that the request was made by someone in possession of the given set of credentials without transmitting the secret key over the wire.

Method Summary
`void` `sign(InternalRequest request, BceCredentials credentials)` Equivalent to sign(request, credentials, SignOptions.DEFAULT).
`void` `sign(InternalRequest request, BceCredentials credentials, SignOptions options)` Sign the given request with the given set of credentials.

Method Detail

### sign

    void sign(InternalRequest request,
              BceCredentials credentials)

  Equivalent to sign(request, credentials, SignOptions.DEFAULT).

  Parameters:
    `request` - the request to sign.
    `credentials` - the credentials to sign the request with.
  Throws:
    `NullPointerException` - if any parameter is null.

### sign

    void sign(InternalRequest request,
              BceCredentials credentials,
              SignOptions options)

  Sign the given request with the given set of credentials. Modifies the passed-in request to apply the signature.

  Parameters:
    `request` - the request to sign.
    `credentials` - the credentials to sign the request with.
    `options` - the options for signing.
  Throws:
    `NullPointerException` - if any parameter is null.

Copyright © 2016. All rights reserved.